OB2D Maxima 2019 Xfce Server v1.0.3

Home » Adminer » OB2D Maxima 2019 Xfce Server v1.0.3
2019-07-06 Adminer, OB2D, OB2D-Maxima, phpmyadmin 15 則留言

這一版主要是:

一. 新增 phpMyAdmin 和 Adminer

  • OB2D 使用的是 phpMyAdmin 官網於 2019-06-04 推出的原始碼版本 phpMyAdmin 4.9.0.1 , 而不是原先 Debian 打包的 deb 版本.
    Debian 10 把 phpMyAdmin 移除了.
    OB2D 不再借用 Debian 的 phpMyAdmin deb 套件, 直接 follow phpMyAdmin 官網的版本.
  • 新增 adminer, 可用來取代 phpMyAdmin.

二. 安全性更新套件.

三. 啟用 phpmyadmin 和 adminer 的方法:

1. 開放來源 IP 可以取用 phpmyadmin 和 adminer:

sudo vi /etc/apache2/conf.d/ra-phpmyadmin

<Location /phpmyadmin>
Require ip 127.0.0.1 192.168.3.0/24 <-- 加入您的來源 IP
Options FollowSymLinks MultiViews
</Location>

sudo vi /etc/apache2/conf.d/ra-adminer

<Location /adminer>
Require ip 127.0.0.1 192.168.3.0/24 <-- 加入您的來源 IP
Options FollowSymLinks MultiViews
</Location>

sudo service apache2 reload

2. 設定 MariaDB 資料庫 root 密碼

sudo mysql_secure_installation

sudo mysql -u root -p mysql

然後, 執行以下 sql 指令:

update user set plugin='' where User='root';
flush privileges;
\q

3. 連接使用:

http://你的主機/phpmyadmin
或
http://你的主機/adminer

四. 另釋出 OB2D Maxima 2019 lite v1.0.3

這一版只有 400MB, 只內建基本環境和 SSH server.

如果您喜歡自己佈署 Server 環境 , 請用這版.

五. 釋出支援 UEFI 的版本,

檔名: OB2D-XFCE-Server-2019-Maxima-v1.0.3-UEFI.amd64.iso

六. 開啟防火牆

安裝好之後, 記得要開啟防火牆, 請參考:

安裝 OB2D 之後,防火牆的設法

七. 下載:

下載位址: https://sourceforge.net/projects/ob2dlinux/files/2019/OB2D/XFCE-SERVER/1.0.3/

15 thoughts on : OB2D Maxima 2019 Xfce Server v1.0.3

  • 請問可以從OB2D Maxima 2019 Xfce Server V1.0.2
    直接升級到
    OB2D Maxima 2019 Xfce Server V1.0.3??

    請問應該如何進行升級動作?

    • 可以, 方法如下:

      sudo apt update
      sudo apt upgrade
      sudo apt install adminer

      不過, 由於 1.0.3 中的 phpmyadmin 是直接由 src 布署而成的, 1.0.2 版無法直接使用.
      您可以用 adminer 來取代 phpmyadmin 即可.

  • 感謝您!老師

  • 遇上一個問題 拿一台舊機器[台南縣_桓基 SpamSherlock 防垃圾郵件過濾系統汰換下來的機器]安裝OB2D Maxima 2019 Xfce Server V1.0.3 會在安裝完後的第一次重啟時出現[FAILED] failed to start Light display Manager 無法進到圖形的登入畫面
    於是換裝B2D 桌面版 Desktop 2019 1.0.6 也是一樣的情況
    查了網路上的一些資料 也無法解決
    請問問題是出在那裡呢?

  • 老師,
    請問近期會出新版的 OB2D Maxima Xfce Server嗎?

  • 老師,
    請問我的版本太舊(2017 Stretch v1.1、2018 Stretch 1.4.1)皆為9.0 stretch(php7.0),Wordpress因為安全性的關係,需要php7.3以上,除了新裝OB2D Maxima 2019 Xfce Server v1.0.3,再將資料移到新機上,有原機直接升級至Xfce Server v1.0.3的方法或指令嗎?多謝。

    • !!!請先做好備份!!! — 很重要

      接著按以下步驟執行:

      1. 修改套件來源表:

      sudo vi /etc/apt/sources.list

      把 stretch 改成 buster

      2. sudo apt update

      3. sudo apt upgrade

      4. sudo apt dist-upgrade

  • 好的,謝謝老師。

  • 請教老師
    在virtualbox安裝OB2D沒遇到問題,但如果想直接新裝至實體機子上,不論我用rufus或unetbootin做OB2D的開機USB,進安裝畫面後,就一直指示要插入OB2D的開機片到光碟機,不然無法跳到下一步。燒了OB2D的開機片,用光碟安裝才OK。
    還是,第一步,製作OB2D的開機USB,需用其他不同的方式才可以?或者有哪些設定需要調整?

    • 主要是當時製成 ISO 檔時, 我沒有轉成 ISO-Hybrid 格式,

      您可以如下操作:

      用例:(我是在 OB2D/B2D 環境下操作的, sample 改成下載的 ISO 檔名)

      isohybrid sample.iso

      接下來, 寫入 USB 碟
      cat sample.iso > /dev/sdd

  • 請問如何升級到 debian 11?

發佈回覆給「www」的留言 取消回覆

  ×  two  =  ten

這個網站採用 Akismet 服務減少垃圾留言。進一步了解 Akismet 如何處理網站訪客的留言資料